Bug 855565 - Bundle install with Ruby on Rails app fails
Bundle install with Ruby on Rails app fails
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
1.x
x86_64 Mac OS
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 20:54 EDT by Nick Harvey
Modified: 2013-11-17 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-18 20:15:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Harvey 2012-09-08 20:54:00 EDT
Description of problem: after executing a 'git pull' on a fresh machine I get an error stating that the prod1 server can't be reached


Version-Release number of selected component (if applicable):


How reproducible:always


Steps to Reproduce:
1. git pull
2. bundle install
3.
  
Actual results: error message:
Fetching gem metadata from http://mirror1.prod.rhcloud.com/mirror/ruby/.
Fetching full source index from http://mirror1.prod.rhcloud.com/mirror/ruby/
Could not reach http://mirror1.prod.rhcloud.com/mirror/ruby/


Expected results:

Successful build


Additional info: Heres the output from 'bundle install --verbose'

undle install --verbose
Fetching gem metadata from http://mirror1.prod.rhcloud.com/mirror/ruby/
Query List: ["rake", "i18n", "multi_json", "activesupport", "builder", "activemodel", "erubis", "journey", "rack", "rack-cache", "rack-test", "hike", "tilt", "sprockets", "actionpack", "mime-types", "polyglot", "treetop", "mail", "actionmailer", "arel", "tzinfo", "activerecord", "activeresource", "coffee-script-source", "execjs", "coffee-script", "rack-ssl", "json", "rdoc", "thor", "railties", "coffee-rails", "diff-lcs", "jquery-rails", "libv8", "minitest", "mysql2", "nokogiri", "rails", "rspec-core", "rspec-expectations", "rspec-mocks", "rspec", "rspec-rails", "sass", "sass-rails", "sqlite3", "therubyracer", "uglifier", "validates_email_format_of", "webrat"]
Query Gemcutter Dependency Endpoint API: rake i18n multi_json activesupport builder activemodel erubis journey rack rack-cache rack-test hike tilt sprockets actionpack mime-types polyglot treetop mail actionmailer arel tzinfo activerecord activeresource coffee-script-source execjs coffee-script rack-ssl json rdoc thor railties coffee-rails diff-lcs jquery-rails libv8 minitest mysql2 nokogiri rails rspec-core rspec-expectations rspec-mocks rspec rspec-rails sass sass-rails sqlite3 therubyracer uglifier validates_email_format_of webrat
Fetching from: http://mirror1.prod.rhcloud.com/mirror/ruby/api/v1/dependencies?gems=rake,i18n,multi_json,activesupport,builder,activemodel,erubis,journey,rack,rack-cache,rack-test,hike,tilt,sprockets,actionpack,mime-types,polyglot,treetop,mail,actionmailer,arel,tzinfo,activerecord,activeresource,coffee-script-source,execjs,coffee-script,rack-ssl,json,rdoc,thor,railties,coffee-rails,diff-lcs,jquery-rails,libv8,minitest,mysql2,nokogiri,rails,rspec-core,rspec-expectations,rspec-mocks,rspec,rspec-rails,sass,sass-rails,sqlite3,therubyracer,uglifier,validates_email_format_of,webrat
HTTP Error
Bundler::HTTPError
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/fetcher.rb:164:in `fetch'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/fetcher.rb:173:in `fetch_dependency_remote_specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/fetcher.rb:132:in `fetch_remote_specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/fetcher.rb:70:in `specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:234:in `remote_specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:232:in `each'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:232:in `remote_specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:165:in `fetch_specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:70:in `specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/lazy_specification.rb:53:in `__materialize__'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/spec_set.rb:86:in `materialize'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/spec_set.rb:83:in `map!'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/spec_set.rb:83:in `materialize'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/definition.rb:113:in `specs'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/definition.rb:108:in `resolve_remotely!'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/installer.rb:81:in `run'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/installer.rb:14:in `install'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/cli.rb:230:in `install'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/task.rb:27:in `send'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/task.rb:27:in `run'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/invocation.rb:120:in `invoke_task'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor.rb:275:in `dispatch'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/base.rb:408:in `start'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/bin/bundle:14/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/friendly_errors.rb:4:in `with_friendly_errors'/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/bin/bundle:14/usr/bin/bundle:19:in `load'/usr/bin/bundle:19
Fetching full source index from http://mirror1.prod.rhcloud.com/mirror/ruby/
Could not reach http://mirror1.prod.rhcloud.com/mirror/ruby/
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/fetcher.rb:220:in `fetch_all_remote_specs'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/fetcher.rb:86:in `specs'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:234:in `remote_specs'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:232:in `each'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:232:in `remote_specs'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:165:in `fetch_specs'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/source.rb:70:in `specs'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/lazy_specification.rb:53:in `__materialize__'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/spec_set.rb:86:in `materialize'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/spec_set.rb:83:in `map!'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/spec_set.rb:83:in `materialize'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/definition.rb:113:in `specs'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/definition.rb:108:in `resolve_remotely!'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/installer.rb:81:in `run'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/installer.rb:14:in `install'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/cli.rb:230:in `install'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/task.rb:27:in `send'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/task.rb:27:in `run'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/invocation.rb:120:in `invoke_task'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor.rb:275:in `dispatch'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/vendor/thor/base.rb:408:in `start'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/bin/bundle:14
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/lib/bundler/friendly_errors.rb:4:in `with_friendly_errors'
/Library/Ruby/Gems/1.8/gems/bundler-1.2.0/bin/bundle:14
/usr/bin/bundle:19:in `load'
/usr/bin/bundle:19
Comment 1 Rob Millner 2012-09-12 22:00:04 EDT
Does your Gemfile/Gemfile.lock list both http://mirror1.prod.rhcloud.com/mirror/ruby/ and https://rubygems.org/?

If not, make sure both are listed and try the bundle command again.

Gemfile:
source 'http://mirror1.prod.rhcloud.com/mirror/ruby/'
source 'https://rubygems.org'
...

Gemfile.lock:
GEM
  remote: http://mirror1.prod.rhcloud.com/mirror/ruby/
  remote: https://rubygems.org/
  specs:
...
Comment 2 Nick Harvey 2012-09-15 11:40:00 EDT
Gemfile.lock does include both entries:

GEM
  remote: http://mirror1.prod.rhcloud.com/mirror/ruby/
  remote: https://rubygems.org/
  specs:
    actionmailer (3.2.6)
      actionpack (= 3.2.6)
      mail (~> 2.4.4)
.
.
.

Note You need to log in before you can comment on or make changes to this bug.